Miscellaneous
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Modules | Functions
Miscellaneous

Miscellaneous stuff. More...

Collaboration diagram for Miscellaneous:

## Modules
| Generic Objects
| Basic objects to make all higher level object types happy.
| Values Handling
| Manipulate and abstract values.
| i18n
| Internationalisation helpers for translating UI texts.
| Path Names
| Access to data path names for Installation.
| Threading
| Asynchron processing support.

## Functions
int | oyVersion (int type)
| give the compiled in library version More...
char * | oyVersionString (int type, oyAlloc_f allocateFunc)
| give the configure options for Oyranos More...
icUInt16Number | oyValueUInt16 (icUInt16Number val)
| convert to network byte order on little endian machines More...
icUInt32Number | oyValueUInt32 (icUInt32Number val)
| convert to network byte order More...
icS15Fixed16Number | oyValueInt32 (icS15Fixed16Number val)
| convert to network byte order More...
unsigned long | oyValueUInt64 (icUInt64Number val)
| convert to network byte order More...

## Detailed Description

Miscellaneous stuff.

## Function Documentation

## ◆ oyValueInt32()

icS15Fixed16Number oyValueInt32 | ( | icS15Fixed16Number | val | ) |

convert to network byte order

## ◆ oyValueUInt16()

icUInt16Number oyValueUInt16 | ( | icUInt16Number | val | ) |

convert to network byte order on little endian machines

## ◆ oyValueUInt32()

icUInt32Number oyValueUInt32 | ( | icUInt32Number | val | ) |

convert to network byte order

Referenced by oyICCCmmDescription(), oyICCDeviceClassDescription(), oyICCTechnologyDescription(), oyProfile_s::oyProfile_AddDevice(), and oyProfile_s::oyProfile_AddTagText().

## ◆ oyValueUInt64()

unsigned long oyValueUInt64 | ( | icUInt64Number | val | ) |

convert to network byte order

## ◆ oyVersion()

int oyVersion | ( | int | type | ) |

give the compiled in library version

Parameters

  [in] | type | 0 - Oyranos API 1 - start month 2 - start year 3 - development last month 4 - development last year

Returns
  OYRANOS_VERSION at library compile time

References OYRANOS_DEVEL_MONTH, OYRANOS_DEVEL_YEAR, OYRANOS_START_MONTH, OYRANOS_START_YEAR, and OYRANOS_VERSION.

Referenced by oyObject_NewWithAllocators(), and oyVersionString().

## ◆ oyVersionString()

char* oyVersionString | ( | int | type,
|  | oyAlloc_f | allocateFunc
| ) |  |

give the configure options for Oyranos

Parameters

  [in] | type | 1 OYRANOS_VERSION_NAME; 2 git master hash, deprecated 3 OYRANOS_CONFIG_DATE, deprecated 4 development period
  | allocateFunc | user allocator, e.g. malloc

Returns
  Oyranos configure output

Since
  Oyranos: version 0.1.8

Date
  18 december 2007 (API 0.1.8)

References OYRANOS_VERSION_NAME, and oyVersion().